Latest Diablo 3 News
DiabloWiki Updates
Support the site! Become a Diablo: IncGamers PAL - Remove ads and more!

Singling Vanilla No longer works for 1.14 d2...

Discussion in 'MP Forum' started by Braulio, Mar 22, 2016.

  1. Braulio

    Braulio IncGamers Member

    Joined:
    Mar 22, 2016
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Hello i started d2 sp 5 weeks ago. It was 1.13 back then. I found this ziped file called REMOVED , it had 2 files d2patch.mqp and d2gfx.dll i extracted and replaced in d2 folder. It allowed ladder runewords and items and also multiple windows.

    Since the new patch came out , i can no longer make runewords ladder or run multiple windows. I tried extracting replace again but not working. Tried re download d2 but blizzard gave me 1.14 already ;( (digital download)

    Can any 1 help me with the following: ( note i do not wish to alter the game in any way , just want whats available online)

    multiple instances
    ladder runewords
    ladder items
    ubers/organs available to open
    uber diablo available


    I am using windows 7
    1.14a patch

    My pc is Optiplex 755 32 bit operating system

    Please help me , i have lvl 96 sorc but cant even mule im always full. Cant craft due to space...
    I dont enjoy battlenet anymore i want carry on SP but without this is not good....

    NOTE: i am very noobie and amateur when it comes to intalling 3rd programs or congifuring so please dont post complex duties :D

    Ty a lot guys
     
    Last edited by a moderator: Apr 2, 2016
  2. Noodle

    Noodle Moderator

    Joined:
    Jul 18, 2003
    Messages:
    9,179
    Likes Received:
    540
    Trophy Points:
    222
  3. Braulio

    Braulio IncGamers Member

    Joined:
    Mar 22, 2016
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Thanks for your feedback,

    The link u provided shows that "singling" is allowed and ladder runewords are also allowed.
    Also the mod in your link is only for versions up to 1.13 i havent seen any mod for 1.14a.

    Im only looking for multiple instances mainly and ladder runewords.

    Any one knows of any mod/file for 1.14a?
     
  4. Noodle

    Noodle Moderator

    Joined:
    Jul 18, 2003
    Messages:
    9,179
    Likes Received:
    540
    Trophy Points:
    222
    You describe the mod as including the ubers, which is not allowed. If you're interested in the version created by fearedbliss, he's often on this site. If he doesn't respond here, I suggest starting a conversation with him.
     
  5. Noodle

    Noodle Moderator

    Joined:
    Jul 18, 2003
    Messages:
    9,179
    Likes Received:
    540
    Trophy Points:
    222
  6. fearedbliss

    fearedbliss IncGamers Member

    Joined:
    Jun 29, 2011
    Messages:
    395
    Likes Received:
    106
    Trophy Points:
    247
    Hey folks,

    I don't foresee myself updating past 1.13d. The game has been pretty much complete for many many many years (I would say it was pretty much complete in 1.09-1.10 era). Now that Blizzard merged all of their dlls into the Game.exe, any changes would basically be monolithic. Meaning that instead of replacing D2gfx.dll and leaving everything else intact, you would need to replace the game.exe file.

    The Patch_D2.mpq files are identical between 1.13d and 1.14a from what the modding community has described. If the ladder runewords don't work, then Blizzard might have done some more internal checks that ignore the runeword modifications in the Patch_D2.mpq file.

    I would say stick to 1.13d or below.

    - Jonathan
     
  7. Thyiad

    Thyiad Moderator Single Player, D2 Assassin, Barbarian

    Joined:
    Mar 3, 2006
    Messages:
    15,300
    Likes Received:
    217
    Trophy Points:
    488

    Thanks Noodle.

    Multiple instances can be done via the multi-instance .dll (link and download in the stickies in the main SPF), same for the ladder runewords (RWM rune word mod).

    Ubers are not accepted here, so only the above ways of incorporating the multi instance and ladder runewords are acceptable.

    EDIT: Feardblisses stuff is fine, but just keep the stuff within that mod.
     
    Last edited: Apr 2, 2016
  8. Braulio

    Braulio IncGamers Member

    Joined:
    Mar 22, 2016
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Is there a EASY way to convert my 1.14a to 1.13d??? thats all i want from there i can set up the multi instances just like before. Atm in 1.14a i cant do anything other than play solo no rws no mule and im now 97 its making it very hard for me to reach my goal " legit 99 SP light soso"
    Please help 1.13d FTW!!
     
  9. T72on1

    T72on1 IncGamers Member

    Joined:
    Feb 12, 2016
    Messages:
    3,524
    Likes Received:
    2,390
    Trophy Points:
    236
    Easiest way might be to do a fresh install and then manually patch to 1.13d.

    Both the RWM and GoMule work in 1.14a and 1.14b though, at least for me ...
     
  10. RadTang

    RadTang IncGamers Member

    Joined:
    Mar 8, 2016
    Messages:
    489
    Likes Received:
    64
    Trophy Points:
    107
    Sorry for digging out this about a 1,5 of month old topic but ATMA works perfectly under 1.14a and 1.14c. I had only bad experiences with GoMule but ATMA is ok for me. :)
     
  11. nicaram

    nicaram IncGamers Member

    Joined:
    May 28, 2016
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    It's strange because I can still get keys from Nithalak, the countess and Hozaron. Yet, convenient runewords like Fortitude don't work anymore (I suppose that it's the same thing for Enigma)...

    Any news from the author?
     
  12. fearedbliss

    fearedbliss IncGamers Member

    Joined:
    Jun 29, 2011
    Messages:
    395
    Likes Received:
    106
    Trophy Points:
    247
    @nicaram I'm not updating my mods anymore after version 1.13d. 1.13d is the last supported version for any of my mods.
     
  13. nicaram

    nicaram IncGamers Member

    Joined:
    May 28, 2016
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    What a pity! Your mod was so useful.

    I also don't understand why this mod depends on D2 patches versions!
     
  14. nicaram

    nicaram IncGamers Member

    Joined:
    May 28, 2016
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
  15. nicaram

    nicaram IncGamers Member

    Joined:
    May 28, 2016
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    No, it does not work...

    I tried to reinstall the game and the 1.13d patch but I cannot make runewords anymore (like fortitude). There was written "v. 1.13d " on my screen before, and now "v1.13". Or could it be my saves since 1.14 patch release....?
     
  16. fearedbliss

    fearedbliss IncGamers Member

    Joined:
    Jun 29, 2011
    Messages:
    395
    Likes Received:
    106
    Trophy Points:
    247
    I'm not sure why people want to update past 1.13d. 1.14+ literally offers nothing important new, and the game has been complete ever since 1.10 pretty much for more than 10 years. The only reason I made the mod for 1.13 rather than 1.10 was because I wanted the window mode fixes, but in terms of content, 1.10 was fine. If people are playing in SP, then 1.14+ is a useless patch.
     
  17. nicaram

    nicaram IncGamers Member

    Joined:
    May 28, 2016
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    I've tried your mod with earlier versions and I wonder why nothing works. I suppose that my saves include modifications from v1.14..who knows!?
     
  18. Lemma

    Lemma IncGamers Member

    Joined:
    Feb 13, 2017
    Messages:
    27
    Likes Received:
    5
    Trophy Points:
    6
    The reason multi-instance isn't working for you anymore with the modified .dll is that 1.14 consolidated most of the dlls, including d2gfx.dll, into Game.exe. So since 1.14 doesn't use a separate d2gfx.dll file anymore, it's not using your modified version.

    Fortunately, the fix is easy - all you need to do is use a modified Game.exe file, where the traditional d2gfx.dll patch is applied to the portion of Game.exe that contains the code in question, which used to be part of d2gfx.dll. I don't know if any of the sites we're allowed to link to here have the modified Game.exe, but you can either search for the modified version yourself, or use a hex editor to modify the file manually. All it takes is to change one byte, at offset 0xF562A in the 1.14d Game.exe, from 0xEB to 0x74. Hopefully at some point soon we can get an official link to the modified Game.exe in the game changes help thread alongside the d2gfx.dll link.
     

Share This Page